# $Revision: 1.41 $, $Date: 2008-02-09 23:46:04 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	FlashPIX OpenSource Toolkit
Summary(pl.UTF-8):	Biblioteka do obróbki obrazków FlashPIX
Name:		libfpx
Version:	1.3.0
Release:	1
License:	distributable (see COPYING)
Group:		Libraries
# Strange... [URL] says you can order it (for money) and doesn't contain any
# link, but sources can be freely redistributed. Can be found on any IM mirror.
Source0:	ftp://ftp.simplesystems.org/pub/ImageMagick/delegates/%{name}-%{version}-0.tar.bz2
# Source0-md5:	5889caa6af6d5f751ba8ca2862e5f384
URL:		http://www.i3a.org/i_flashpix.html
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	libtool >= 2:1.5
BuildRequires:	libstdc++-devel >= 3.2.2
Provides:	fpx
Obsoletes:	fpx
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FlashPIX OpenSource Toolkit is based on source obtained from the
Digital Imaging Group Inc. and includes a sample FlashPIX library
implementation contributed by Eastman Kodak Company.

%description -l pl.UTF-8
FlashPIX OpenSource Toolkit jest bazowany na źródłach uzyskanych od
Digital Imaging Group i zawiera przykładową implementację biblioteki
FlashPIX, do której przyczynił się Eastman Kodak Company.

%package devel
Summary:	FlashPIX header file and documentation
Summary(pl.UTF-8):	Plik nagłówkowy i dokumentacja do FlashPIX
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	fpx-devel

%description devel
FlashPIX header files and programmer's documentation.

%description devel -l pl.UTF-8
Plik nagłówkowy potrzebny do kompilowania programów korzystających z
biblioteki FlashPIX oraz dokumentacja do tej biblioteki.

%package static
Summary:	FlashPIX static library
Summary(pl.UTF-8):	Statyczna biblioteka FlashPIX
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	fpx-static

%description static
Static version of FlashPIX library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki FlashPIX.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-fast-install \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libfpx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfpx.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/*.pdf doc/readme.txt
%attr(755,root,root) %{_libdir}/libfpx.so
%{_libdir}/libfpx.la
%{_includedir}/fpxlib.h
%{_includedir}/fpxlib-config.h

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfpx.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libfpx.spec,v $
Revision 1.41  2008-02-09 23:46:04  qboosh
- updated to 1.3.0

Revision 1.40  2007-02-13 06:46:50  glen
- tabs in preamble

Revision 1.39  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.38  2006/12/31 22:09:28  arekm
- rel 2

Revision 1.37  2005/08/28 21:02:40  qboosh
- updated to 1.2.0.13, removed obsolete fix patch

Revision 1.36  2005/06/15 21:39:26  witekfl
- added bcond_without static_libs

Revision 1.35  2005/02/27 18:53:46  qboosh
- updated to 1.2.0.12

Revision 1.34  2005/02/05 21:20:51  qboosh
- updated to 1.2.0.11, added fix patch

Revision 1.33  2003/07/18 19:11:47  qboosh
- up to 1.2.0.9

Revision 1.32  2003/05/28 12:59:27  malekith
- massive attack: source-md5

Revision 1.31  2003/05/25 05:49:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/03/25 13:12:30  trojan
- updated to 1.2.0.6

Revision 1.29  2003/03/02 00:48:55  radek
- version 1.2.0.5

Revision 1.28  2003/02/26 12:45:38  wiget
- rebuild with fixed libstdc++.la
- release 3

Revision 1.27  2003/01/25 19:19:02  djurban
- that wasnt a typo; damn krzyzak

Revision 1.26  2003/01/25 19:14:33  djurban
- typo

Revision 1.25  2002/12/18 00:08:15  wiget
- release 2

Revision 1.24  2002/12/18 00:05:12  wiget
- enable fast install to avoid relinking

Revision 1.23  2002/12/18 00:04:21  wiget
- this is c++ library, so libtool with c++ support is needed (BR libtool 1.4d)

Revision 1.22  2002/12/16 17:19:42  wiget
- renamed to libfpx
- removed all patches (outdated)
- URL changed to new, working site
- updated to 1.2.0.4

Revision 1.21  2002/11/27 19:36:46  juandon
- new %%doc

Revision 1.20  2002/11/25 14:13:02  ankry
- massive attack: no need for 755 for *.la

Revision 1.19  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.18  2002/06/23 20:32:23  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.17  2002/05/21 23:13:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.16  2002/05/02 19:12:10  qboosh
- automake -a -c -f --foreign - don't change license information in COPYING!!!

Revision 1.15  2002/04/25 16:19:27  arturs
fixed a small typo

Revision 1.14  2002/03/27 11:09:10  roman
- License: distributable (see COPYING)

Revision 1.13  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.12  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/02 20:05:27  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.10  2002/02/01 00:23:59  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.9  2002/01/18 02:12:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/11/10 16:45:30  jajcus
- s/Distibutable/distributable/ in License

Revision 1.7  2001/07/06 16:42:03  kloczek
- release 3: rebuild all ac/am/lt files.

Revision 1.6  2001/07/06 12:36:19  dobrek
- rm -f ltconfig ltmain.sh; libtoolize --copy --force added

Revision 1.5  2001/04/04 19:49:27  kloczek
i- release 2.

Revision 1.4  2001/04/04 19:03:12  kloczek
- cosmetics.

Revision 1.3  2001/03/27 17:27:47  qboosh
- added missing header file
- nolibrt - don't use librt (fixes one "FIXME")

Revision 1.2  2001/03/26 22:54:00  kloczek
- cosmetics.

Revision 1.1  2001/03/26 16:22:00  qboosh
- from scratch - next library ImageMagick can use
